package com.cloudcross.ssp.back.model;
import java.util.Date;

import com.cloudcross.ssp.web.widget.SelectorController.ISelector;
/**
 * *
 * @author CloudCross
 *	和t_advertiser表相关
 *	是广告主的对应的实体类
 *	
 */
public class Advertiser implements ISelector{
	
	//广告主Id
	private Long id;
	//运营商Id  和t_operator（运营商）表相关
	private Long agentId;
	//行业Id  和t_indestry（行业）表相关
	private Long industryId;
	//广告主名字
	private String name;
	//公司注册名
	private String regName;
	//网址
	private String homePage;
	//联系人
	private String contacts;
	//电话
	private String tel;
	//电子邮件
	private String email;
	//资金余额
	private Float balance;
	//状态
	private Integer status;
	//最后更新日期
	private Date updated;
	//备注
	private String memo; 
	//CPI文件路径
	private String cpiPath; 
	//营业执照路径
	private String licencePath; 
	//法人代表身份证路径
	private String idPath; 
	//企业机构代码证
	private String orgPath; 
	//审核人账号id（t_account.id）
	private Float checkAccount; 
	//审核状态（0未审核，1审核通过，-1审核未通过）
	private Integer checkStatus; 
	//审核备注
	private String checkMemo; 
	
	/*
	 *下面两个字段是为了在页面显示的时候方便，从数据库中直接联合查询就可以找到数据 
	 */
	
	public String getCpiPath() {
		return cpiPath;
	}
	public void setCpiPath(String cpiPath) {
		this.cpiPath = cpiPath;
	}
	public String getLicencePath() {
		return licencePath;
	}
	public void setLicencePath(String licencePath) {
		this.licencePath = licencePath;
	}
	public String getIdPath() {
		return idPath;
	}
	public void setIdPath(String idPath) {
		this.idPath = idPath;
	}
	public String getOrgPath() {
		return orgPath;
	}
	public void setOrgPath(String orgPath) {
		this.orgPath = orgPath;
	}
	
	public Float getCheckAccount() {
		return checkAccount;
	}
	public void setCheckAccount(Float checkAccount) {
		this.checkAccount = checkAccount;
	}
	public Integer getCheckStatus() {
		return checkStatus;
	}
	public void setCheckStatus(Integer checkStatus) {
		this.checkStatus = checkStatus;
	}
	public String getCheckMemo() {
		return checkMemo;
	}
	public void setCheckMemo(String checkMemo) {
		this.checkMemo = checkMemo;
	}
	public String getMemo() {
		return memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	public Float getBalance() {
		return balance;
	}
	public void setBalance(Float balance) {
		this.balance = balance;
	}

	//订单数量
	private Long orderNum;
	//行业名称
	private String industryName;
	
	
	public Long getOrderNum() {
		return orderNum;
	}
	public void setOrderNum(Long orderNum) {
		this.orderNum = orderNum;
	}
	public String getIndustryName() {
		return industryName;
	}
	public void setIndustryName(String industryName) {
		this.industryName = industryName;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getAgentId() {
		return agentId;
	}
	public void setAgentId(Long operatorId) {
		this.agentId = operatorId;
	}
	public Long getIndustryId() {
		return industryId;
	}
	public void setIndustryId(Long industryId) {
		this.industryId = industryId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getRegName() {
		return regName;
	}
	public void setRegName(String regName) {
		this.regName = regName;
	}
	public String getHomePage() {
		return homePage;
	}
	public void setHomePage(String homePage) {
		this.homePage = homePage;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}
	
	@Override
	public String toString() {
		return "Advertiser [id=" + id + ", operatorId=" + agentId
				+ ", industryId=" + industryId + ", name=" + name
				+ ", regName=" + regName + ", homePage=" + homePage
				+ ", contacts=" + contacts + ", tel=" + tel + ", email="
				+ email + ", status=" + status + ", updated=" + updated + "]";
	}
	@Override
	public String getLabel() {
		// TODO Auto-generated method stub
		return this.getName();
	}
	@Override
	public String getValue() {
		// TODO Auto-generated method stub
		return String.valueOf(this.getId());
	}
	
}
